Commit d3c5e548 authored by webchick's avatar webchick

Issue #2559345 by lostkangaroo, phenaproxima, benjy, neclimdul: Document...

Issue #2559345 by lostkangaroo, phenaproxima, benjy, neclimdul: Document source_provider and minimum_schema_version annotation properties
parent 99c0b887
......@@ -45,4 +45,30 @@ class MigrateSource extends Plugin {
*/
public $requirements_met = TRUE;
/**
* Identifies the system providing the data the source plugin will read.
*
* This can be any type, and the source plugin itself determines how the value
* is used. For example, Migrate Drupal's source plugins expect
* source_provider to be the name of a module that must be installed and
* enabled in the source database.
*
* @see \Drupal\migrate_drupal\Plugin\migrate\source\DrupalSqlBase::checkRequirements
*
* @var mixed
*/
public $source_provider;
/**
* Specifies the minimum version of the source provider.
*
* This can be any type, and the source plugin itself determines how it is
* used. For example, Migrate Drupal's source plugins expect this to be an
* integer representing the minimum installed database schema version of the
* module specified by source_provider.
*
* @var mixed
*/
public $minimum_version;
}
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment